Package org.bukkit.entity

# Enum Class Cat.Type

java.lang.Object
java.lang.Enum<Cat.Type>
org.bukkit.entity.Cat.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Cat.Type>`, `Constable`

Enclosing interface:
  Cat

public static enum Cat.Type extends Enum<Cat.Type>
Represents the various different cat types there are.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL_BLACK`
`BLACK`
`BRITISH_SHORTHAIR`
`CALICO`
`JELLIE`
`PERSIAN`
`RAGDOLL`
`RED`
`SIAMESE`
`TABBY`
`WHITE`

## Method Summary

Modifier and Type
Method
Description
`static Cat.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Cat.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TABBY

public static final Cat.Type TABBY

### BLACK

public static final Cat.Type BLACK

### RED

public static final Cat.Type RED

### SIAMESE

public static final Cat.Type SIAMESE

### BRITISH_SHORTHAIR

public static final Cat.Type BRITISH_SHORTHAIR

### CALICO

public static final Cat.Type CALICO

### PERSIAN

public static final Cat.Type PERSIAN

### RAGDOLL

public static final Cat.Type RAGDOLL

### WHITE

public static final Cat.Type WHITE

### JELLIE

public static final Cat.Type JELLIE

### ALL_BLACK

public static final Cat.Type ALL_BLACK

## Method Details

### values

public static Cat.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Cat.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null